#
# spec file for package apache2-mod_log_ipmask (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_log_ipmask
BuildRequires: apache2-devel
%define modname mod_log_ipmask
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.0.1
Release:	5.15
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	Anonymize IPs in logs
Url:		http://www.saechsdsb.de/ipmask/
Source0:	%{modname}.tar.bz2
Source1:	http://www.saechsdsb.de/images/stories/sdb_inhalt/schwerpunkt/ipmask/Dokumentation_IP-Maskierung_V1.0.pdf
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Module to masq client ip address in log files.

%debug_package
%prep
%setup -n %{modname}

%build
%{apxs} -a -n %{modname}.so -c %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp %{S:1} .

%files
%defattr(-,root,root)
%doc LICENSE Dokumentation_IP-Maskierung_V1.0.pdf
%{apache_libexecdir}/*.so

%changelog
* Tue Oct  4 2011 cs@linux-administrator.com
- initial package
